{{ define "main" }}
    <main class="news-list">

        <section class="top">
            <a class="site-base-url" href="{{ .RelPermalink }}">{{ title .Section }}</a>
        </section>
        
        {{ if (le (where .Site.Pages "Type" "news" | len) 1) }}

        <section class="in-between vh50">
            <div class="hint">
                {{ partial "news/in-between-hint.html" . }}
            </div>
        </section>

        {{ else }}

        <section class="in-between">
            {{ with .Content }}
            <div class="additional">
                {{ . }}
            </div>
            {{ end }}
            {{- range (.Paginate (.Data.Pages.GroupByDate "2006") 10).PageGroups }}
            <div class="group">
                <div class="year">{{ .Key }}</div>
                <ul class="list">
                    {{- range .Pages }}
                    <li class="item">
                        <a href="{{ .RelPermalink }}" title="news from {{ .Date.Format "2006, Monday, January 2," }} - {{ .Title }}">
                            <span class="title">{{ .Title }}</span><span class="date">{{ .Date.Format "January 02" }}</span>
                        </a>
                    </li>
                    {{- end }}
                </ul>
            </div>
            {{- end }}
        </section>

        <section class="bottom">
            {{ partial "news/pagination.html" . }}
        </section>

        {{ end }}

    </main>
{{ end }}
